#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    ui->dateTimeEdit->setDateTime(QDateTime::currentDateTime().addSecs(60));

    startTimer(50);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void MainWindow::on_dateTimeEdit_editingFinished()
{

}

void MainWindow::timerEvent(QTimerEvent *event)
{

    int a = QTime::currentTime().msecsTo(ui->dateTimeEdit->time());
    if(a < 0)
        return;
    QTime time(0,0,0,0);
    time = time.addMSecs(a);

    int days = QDate::currentDate().daysTo(ui->dateTimeEdit->date());
    if(days < 0 )
        return;

    ui->label->setText("Time " + QString::number(days) + " " + time.toString("hh:mm:ss.zzz"));
}
